Patch funnelsfunnelupdate
PATCH
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - undefined
Last modified on May 19, 2026
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PATCH \
--url https://services.leadconnectorhq.com/funnels/funnel/update/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationId": "<string>",
"name": "<string>",
"originId": "<string>",
"url": "<string>",
"faviconUrl": "<string>",
"trackingCodeHead": "<string>",
"trackingCodeBody": "<string>",
"domainId": "<string>",
"processing": true,
"type": "<string>",
"globalSectionsPath": "<string>",
"globalSectionsUrl": "<string>",
"globalSectionVersion": 123,
"globalFonts": [
"<string>"
],
"updatedBy": "<string>",
"orderFormVersion": 123,
"isLivePaymentMode": true,
"deleted": true,
"category": "<string>",
"parentId": "<string>",
"ischatWidgetLive": true,
"chatWidgetId": "<string>",
"imageOptimization": true,
"isStoreActive": true,
"isBlogEnable": true,
"blogsData": {}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationId: '<string>',
name: '<string>',
originId: '<string>',
url: '<string>',
faviconUrl: '<string>',
trackingCodeHead: '<string>',
trackingCodeBody: '<string>',
domainId: '<string>',
processing: true,
type: '<string>',
globalSectionsPath: '<string>',
globalSectionsUrl: '<string>',
globalSectionVersion: 123,
globalFonts: ['<string>'],
updatedBy: '<string>',
orderFormVersion: 123,
isLivePaymentMode: true,
deleted: true,
category: '<string>',
parentId: '<string>',
ischatWidgetLive: true,
chatWidgetId: '<string>',
imageOptimization: true,
isStoreActive: true,
isBlogEnable: true,
blogsData: {}
})
};
fetch('https://services.leadconnectorhq.com/funnels/funnel/update/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/funnels/funnel/update/{id}"
payload = {
"locationId": "<string>",
"name": "<string>",
"originId": "<string>",
"url": "<string>",
"faviconUrl": "<string>",
"trackingCodeHead": "<string>",
"trackingCodeBody": "<string>",
"domainId": "<string>",
"processing": True,
"type": "<string>",
"globalSectionsPath": "<string>",
"globalSectionsUrl": "<string>",
"globalSectionVersion": 123,
"globalFonts": ["<string>"],
"updatedBy": "<string>",
"orderFormVersion": 123,
"isLivePaymentMode": True,
"deleted": True,
"category": "<string>",
"parentId": "<string>",
"ischatWidgetLive": True,
"chatWidgetId": "<string>",
"imageOptimization": True,
"isStoreActive": True,
"isBlogEnable": True,
"blogsData": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
curl --request PATCH \
--url https://services.leadconnectorhq.com/funnels/funnel/update/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationId": "<string>",
"name": "<string>",
"originId": "<string>",
"url": "<string>",
"faviconUrl": "<string>",
"trackingCodeHead": "<string>",
"trackingCodeBody": "<string>",
"domainId": "<string>",
"processing": true,
"type": "<string>",
"globalSectionsPath": "<string>",
"globalSectionsUrl": "<string>",
"globalSectionVersion": 123,
"globalFonts": [
"<string>"
],
"updatedBy": "<string>",
"orderFormVersion": 123,
"isLivePaymentMode": true,
"deleted": true,
"category": "<string>",
"parentId": "<string>",
"ischatWidgetLive": true,
"chatWidgetId": "<string>",
"imageOptimization": true,
"isStoreActive": true,
"isBlogEnable": true,
"blogsData": {}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationId: '<string>',
name: '<string>',
originId: '<string>',
url: '<string>',
faviconUrl: '<string>',
trackingCodeHead: '<string>',
trackingCodeBody: '<string>',
domainId: '<string>',
processing: true,
type: '<string>',
globalSectionsPath: '<string>',
globalSectionsUrl: '<string>',
globalSectionVersion: 123,
globalFonts: ['<string>'],
updatedBy: '<string>',
orderFormVersion: 123,
isLivePaymentMode: true,
deleted: true,
category: '<string>',
parentId: '<string>',
ischatWidgetLive: true,
chatWidgetId: '<string>',
imageOptimization: true,
isStoreActive: true,
isBlogEnable: true,
blogsData: {}
})
};
fetch('https://services.leadconnectorhq.com/funnels/funnel/update/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/funnels/funnel/update/{id}"
payload = {
"locationId": "<string>",
"name": "<string>",
"originId": "<string>",
"url": "<string>",
"faviconUrl": "<string>",
"trackingCodeHead": "<string>",
"trackingCodeBody": "<string>",
"domainId": "<string>",
"processing": True,
"type": "<string>",
"globalSectionsPath": "<string>",
"globalSectionsUrl": "<string>",
"globalSectionVersion": 123,
"globalFonts": ["<string>"],
"updatedBy": "<string>",
"orderFormVersion": 123,
"isLivePaymentMode": True,
"deleted": True,
"category": "<string>",
"parentId": "<string>",
"ischatWidgetLive": True,
"chatWidgetId": "<string>",
"imageOptimization": True,
"isStoreActive": True,
"isBlogEnable": True,
"blogsData": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)